This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 635966 - SOS plugin to collect info. for Red Hat certificate system-8.0
SOS plugin to collect info. for Red Hat certificate system-8.0
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sos (Show other bugs)
5.7
All Linux
low Severity medium
: rc
: ---
Assigned To: Bryn M. Reeves
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-21 03:29 EDT by Niranjan Mallapadi Raghavender
Modified: 2012-04-23 08:32 EDT (History)
6 users (show)

See Also:
Fixed In Version: sos-1.7-9.52.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-21 03:59:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to collect logs and configuration files for Red Hat Certificate system 8.0 (2.64 KB, application/octet-stream)
2010-09-21 03:29 EDT, Niranjan Mallapadi Raghavender
no flags Details

  None (edit)
Description Niranjan Mallapadi Raghavender 2010-09-21 03:29:54 EDT
Created attachment 448646 [details]
patch to collect logs and configuration files for Red Hat Certificate system 8.0

Description of problem:

The current version of sosreport (sos-1.7-9.49.el5) has a Certificate server plugin (cs.py) which collects certificate server logs for RHCS-7.3 , but not for 8.0. 

RHCS-7.3 is not supported on RHEL5, so the certificate server plugin should get RHCS-8.0 logs and configurations. 

The configuration files and logs are located in /var/lib/pki-* and not in /var/lib/rhpki-*


current cs.py 
<snip>

  def checkenabled(self):
        if self.cInfo["policy"].pkgByName("rhpki-common") or os.path.exists("/var/lib/rhpki-*"):
            return True
        return False

    def setup(self):
        self.addCopySpec("/var/lib/rhpki-*/conf/*cfg*")
        self.addCopySpec("/var/lib/rhpki-*/conf/*.ldif")
        self.addCopySpec("/var/lib/rhpki-*/logs/*")
        return


</snip>


Required cs.py 

<snip>
+    def checkenabled(self):
+       if self.isInstalled("pki-ca") or os.path.exists("/var/lib/pki-*"):
+          return True
+       return False
+
+    def setup(self):
+        self.addCopySpec("/var/lib/pki-*/logs/*")
+	self.addCopySpec("/var/lib/pki-*/conf/*cfg*")
+	self.addCopySpec("/var/log/dirsrv/*")
+        self.addCopySpec("/var/log/messages")
+	return
+
</snip>

Attaching a cs.py patch already written for dogtag debug information


Version-Release number of selected component (if applicable):



How reproducible:
sos-1.7-9.49.el5

Steps to Reproduce:
1.Install RHCS-8.0
2.Run sosreport -e cs 
3.No certificate server logs or configuration files collected
  
Actual results:

No certificate server logs or configuration files collected

Expected results:

Certificate server logs or configuration files should be collected

Additional info: 
None
Comment 1 Pierre Carrier 2010-11-18 08:52:05 EST
Addressed upstream:
https://fedorahosted.org/sos/changeset/992
Comment 5 errata-xmlrpc 2011-07-21 03:59:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1028.html

Note You need to log in before you can comment on or make changes to this bug.